#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1138c8e8, "nvUvmInterfaceInitFaultInfo" },
	{ 0xd15a3e1c, "nvUvmInterfaceCslRotateIv" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd08411bf, "kthread_stop" },
	{ 0x892a63e7, "nvUvmInterfacePagingChannelDestroy" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x6694f01f, "nvUvmInterfaceDeviceCreate" },
	{ 0xb509a2b9, "iommu_sva_get_pasid" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xf4b089b5, "int_active_memcg" },
	{ 0x19f28917, "nvUvmInterfaceServiceDeviceInterruptsRM" },
	{ 0xfb578fc5, "memset" },
	{ 0x84ccfdfb, "nvUvmInterfaceDeRegisterUvmOps" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x51f732db, "nvUvmInterfaceFreeDupedHandle" },
	{ 0xf145c777, "__alloc_pages" },
	{ 0x1ffc4dfa, "unpin_user_page" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xbb3a974e, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd5057c22, "nvUvmInterfaceMemoryFree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x71de450f, "nvUvmInterfaceTsgAllocate" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xdc4c6912, "find_vma_intersection" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x7e5c9cbd, "migrate_device_finalize" },
	{ 0xece784c2, "rb_first" },
	{ 0xb9b64e0e, "proc_remove" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xc84cb191, "__mmdrop" },
	{ 0x4ba932da, "kthread_create_on_node" },
	{ 0x8f1a22cd, "set_page_dirty" },
	{ 0x90df6793, "nvUvmInterfacePmaRegisterEvictionCallbacks" },
	{ 0xd11bc870, "pv_ops" },
	{ 0x8572a86c, "__mmap_lock_do_trace_start_locking" },
	{ 0xbced23a1, "seq_read" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x88afab2d, "dma_free_attrs" },
	{ 0xa452244c, "nvUvmInterfaceGetEccInfo" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x77ac1d81, "mmput" },
	{ 0xb3e07fcd, "memremap_pages" },
	{ 0xf7419bbb, "nvUvmInterfaceP2pObjectCreate" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x710977d6, "nvUvmInterfaceGetChannelResourcePtes" },
	{ 0x2bb96f9b, "param_ops_bool" },
	{ 0x7cd9fd0a, "migrate_device_pages" },
	{ 0xc1f02f56, "nvUvmInterfaceCslSign" },
	{ 0xed9a5324, "migrate_vma_finalize" },
	{ 0x3cb47288, "alloc_pages" },
	{ 0x525172f0, "nvUvmInterfaceGetPmaObject" },
	{ 0x6cbef024, "__tracepoint_mmap_lock_start_locking" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf65d1ce4, "__folio_put" },
	{ 0x22c1703d, "__mmu_notifier_register" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6585a74d, "seq_printf" },
	{ 0xd9440ddb, "__mmap_lock_do_trace_released" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3385e21, "nvUvmInterfaceSessionDestroy" },
	{ 0xd18cb4c2, "nvUvmInterfaceDupMemory" },
	{ 0x78ba08fc, "nvUvmInterfaceDeviceDestroy" },
	{ 0xd9b60cd6, "nvUvmInterfaceFlushReplayableFaultBuffer" },
	{ 0xe701a2bb, "nvUvmInterfaceAddressSpaceCreate" },
	{ 0xaa9c1109, "nvUvmInterfaceUnregisterGpu" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xd84f245a, "__folio_lock" },
	{ 0xa62da25a, "nvUvmInterfaceAddressSpaceDestroy" },
	{ 0x1ea38a78, "mmu_interval_notifier_insert" },
	{ 0xc339adb7, "single_release" },
	{ 0x550cc5f7, "nvUvmInterfaceRegisterUvmCallbacks" },
	{ 0xccdb149b, "nvUvmInterfacePmaPinPages" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa4191c0b, "memset_io" },
	{ 0xcee45444, "kmalloc_trace" },
	{ 0xb783c89d, "nvUvmInterfaceChannelAllocate" },
	{ 0x46a0aa1d, "nvUvmInterfaceGetP2PCaps" },
	{ 0x68da4fcb, "nvUvmInterfaceEnableAccessCntr" },
	{ 0x324d05f1, "zone_device_page_init" },
	{ 0x5d9ac9e4, "proc_symlink" },
	{ 0x77358855, "iomem_resource" },
	{ 0x3ab664e0, "memunmap_pages" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x2c052ab, "param_ops_int" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x6f2851b9, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x30aeb11d, "nvUvmInterfacePmaUnregisterEvictionCallbacks" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x53b954a2, "up_read" },
	{ 0x246cbff7, "nvUvmInterfaceDupAllocation" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4ca663e, "nvUvmInterfacePmaAllocPages" },
	{ 0x745dd0b1, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x221ef868, "kmalloc_caches" },
	{ 0xb72c8f79, "cdev_del" },
	{ 0xa05180e1, "make_device_exclusive_range" },
	{ 0xc962ab53, "address_space_init_once" },
	{ 0x9bb4cf14, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4e8f828, "mtree_load" },
	{ 0xbd9bc90d, "nvUvmInterfaceSessionCreate" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x24d13dd, "request_free_mem_region" },
	{ 0x7b23607e, "nvUvmInterfaceDisableAccessCntr" },
	{ 0xcd40176d, "nvUvmInterfaceChannelDestroy" },
	{ 0xc7edd2b, "mmu_interval_notifier_remove" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x9a138db2, "nvUvmInterfaceQueryCaps" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x6276af56, "migrate_device_range" },
	{ 0x5fcb89bb, "param_ops_uint" },
	{ 0x6b5579b9, "param_ops_ulong" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4bc0e431, "nvUvmInterfaceUnsetPageDirectory" },
	{ 0xec03a88a, "nvUvmInterfaceInitAccessCntrInfo" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xe45112d9, "nvUvmInterfaceTsgDestroy" },
	{ 0x43e66ecb, "nvUvmInterfaceReleaseChannel" },
	{ 0x182cff42, "vmalloc_to_page" },
	{ 0x698f6a77, "nvUvmInterfaceMemoryAllocSys" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xe54218b6, "mmu_interval_read_begin" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x55b4744b, "nvUvmInterfaceMemoryCpuMap" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x3b644591, "__bitmap_shift_left" },
	{ 0x44ef9711, "pin_user_pages_remote" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x89e0959d, "nvUvmInterfacePagingChannelAllocate" },
	{ 0x2c22b46f, "nvUvmInterfaceCslEncrypt" },
	{ 0x2c8bdbfd, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4fa9982d, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x90a37e0e, "fget" },
	{ 0xcf2a6966, "up" },
	{ 0xffab807, "nvUvmInterfacePmaFreePages" },
	{ 0x6fcca1a3, "nvUvmInterfacePagingChannelsMap" },
	{ 0x70399263, "proc_mkdir_mode" },
	{ 0x72003f30, "iommu_dev_disable_feature" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x39f10af2, "unmap_mapping_range" },
	{ 0x534759f3, "nvUvmInterfaceSetPageDirectory" },
	{ 0x4d7a107f, "nvUvmInterfaceMemoryCpuUnMap" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xd1600093, "nvUvmInterfaceOwnPageFaultIntr" },
	{ 0x942fa6aa, "nvUvmInterfacePagingChannelPushStream" },
	{ 0x7a03e579, "pcpu_hot" },
	{ 0xf464d179, "seq_lseek" },
	{ 0x55f651fa, "iommu_sva_bind_device" },
	{ 0xc69fa4d, "__put_devmap_managed_page_refs" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x4a1c3ff7, "proc_create_data" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xfda9d8b5, "handle_mm_fault" },
	{ 0x176e9af, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xe2964344, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0x54356060, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb000909e, "nvUvmInterfaceDupAddressSpace" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x89cbf577, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0x203a44d1, "nvUvmInterfaceGetExternalAllocPtes" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x85c7cadd, "nvUvmInterfaceCslRotateKey" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ad3034d, "nvUvmInterfaceRegisterGpu" },
	{ 0xca1bb45b, "get_user_pages_remote" },
	{ 0x784bf520, "wake_up_process" },
	{ 0xce96a1a4, "nvUvmInterfaceP2pObjectDestroy" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xbcab10ea, "pin_user_pages" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x662f2732, "hmm_range_fault" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x915ca571, "dma_map_page_attrs" },
	{ 0xe49893bd, "nvUvmInterfaceGetNonReplayableFaults" },
	{ 0xac432e9f, "nvUvmInterfaceGetFbInfo" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0xa916b694, "strnlen" },
	{ 0x1eb25067, "iommu_dev_enable_feature" },
	{ 0x69049cd2, "radix_tree_replace_slot" },
	{ 0x618911fc, "numa_node" },
	{ 0x194ab58d, "const_pcpu_hot" },
	{ 0x9ad73756, "nvUvmInterfaceRetainChannel" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf63edff, "__free_pages" },
	{ 0x7ba98f4, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x6b27729b, "radix_tree_gang_lookup" },
	{ 0x9f984513, "strrchr" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x9ee2976a, "nvUvmInterfaceCslDecrypt" },
	{ 0xe456ebfd, "find_vma" },
	{ 0x7bfbe5eb, "nvUvmInterfaceCslLogEncryption" },
	{ 0x5b7e7949, "nvUvmInterfaceHasPendingNonReplayableFaults" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x64a6a01, "nvUvmInterfaceDestroyAccessCntrInfo" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x36e57696, "nvUvmInterfacePagingChannelsUnmap" },
	{ 0x82bd7b3d, "cdev_add" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfbe26c47, "__task_pid_nr_ns" },
	{ 0x4ea5d10, "ksize" },
	{ 0x418aac6e, "vm_insert_page" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0xaa1d0031, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x79763491, "unlock_page" },
	{ 0x27491fbc, "nvUvmInterfaceStopChannel" },
	{ 0x2bacced1, "get_mem_cgroup_from_mm" },
	{ 0x1b556dea, "nvUvmInterfaceCslQueryMessagePool" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x7c173634, "__bitmap_complement" },
	{ 0xbef3c5d7, "nvUvmInterfaceTogglePrefetchFaults" },
	{ 0x1ebf5deb, "nvUvmInterfaceDestroyFaultInfo" },
	{ 0x6626afca, "down" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb759d51b, "nvUvmInterfaceCslInitContext" },
	{ 0x7f03ef2d, "nvUvmInterfaceMemoryAllocFB" },
	{ 0x7f450da8, "nvUvmInterfaceDeinitCslContext" },
	{ 0xe868e14a, "migrate_vma_setup" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7d553f3c, "migrate_vma_pages" },
	{ 0x7bc0b120, "kmem_cache_free" },
	{ 0x9cc79228, "set_cpus_allowed_ptr" },
	{ 0x45f2fe1c, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x6fe280e6, "iommu_sva_unbind_device" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xeb1a59ab, "nvUvmInterfaceQueryCopyEnginesCaps" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5d784826, "nvUvmInterfaceCslIncrementIv" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x69eb8138, "nvUvmInterfaceReportNonReplayableFault" },
	{ 0x2c9f3369, "nvUvmInterfaceGetGpuInfo" },
	{ 0xf82d8f8b, "nvUvmInterfaceBindChannelResources" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf1e046cc, "panic" },
	{ 0x786cf730, "vmap" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "nvidia");


MODULE_INFO(srcversion, "F4DE108483EBC62F21E398C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
